/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/*****************************************************************************/
/** \file timer.h
**
** 
**
** History:
** 
******************************************************************************/
#ifndef __TIMER_H__
#define __TIMER_H__
/*****************************************************************************/
/* Include files */
/*****************************************************************************/
#include "cms80f262xx.h"
/*****************************************************************************/
/* Global pre-processor symbols/macros ('#define') */
/*****************************************************************************/
/*----------------------------------------------------------------------------
 **Timer ģ
---------------------------------------------------------------------------*/
#define		TMR0					(0x00)			/* Timer 0 Number*/	
#define		TMR1					(0x01)			/* Timer 1 Number*/	
#define		TMR3					(0x03)			/* Timer 3 Number*/	
#define 	TMR4					(0x04)			/* Timer 4 Number*/	

/*----------------------------------------------------------------------------
 **Timer ģʽ
---------------------------------------------------------------------------*/
#define		TMR_MODE_TIMING		 	(0x00)			/*ʱʱģʽ(Timer 0,1,3,4)*/
#define		TMR_MODE_COUNT			(0x01)			/*ʱģʽ(Timer 0,1)*/
	
/*----------------------------------------------------------------------------
 **Timer ʱӷƵ
---------------------------------------------------------------------------*/	
#define 	TMR_CLK_DIV_12			(0x00)			/*ϵͳʱ12Ƶ(Timer 0,1,3,4)*/
#define 	TMR_CLK_DIV_4			(0x01)			/*ϵͳʱ4Ƶ(Timer 0,1,3,4)*/
/*----------------------------------------------------------------------------
 **Timer ʱ/ģʽ
---------------------------------------------------------------------------*/	
#define 	TMR_TIM_13BIT					(0x00)		/*ʱ/13λģʽ*/
#define 	TMR_TIM_16BIT					(0x01)		/*ʱ/16λģʽ*/
#define 	TMR_TIM_AUTO_8BIT				(0x02)		/*ʱ/8λԶģʽ*/
#define 	TMR_TIM_TWO_INDEPENDENT_8BIT	(0x03)		/*ʱ/28λģʽ*/

/*---TMR0Դ-------------------------------------------------------------*/	
#define 	TMR0_CNT_EPWM0		(0x00)			//PWM0½ص
#define 	TMR0_CNT_T0			(0x01)			//T0루½ص
/*----------------------------------------------------------------------------
 ****************************************************************************
---------------------------------------------------------------------------*/	
/*----------------------------------------------------------------------------
 **Timer2 ʱ
---------------------------------------------------------------------------*/	
#define		TMR2_RUN_SYSCLK		(0x01)			/*ϵͳʱ*/
#define		TMR2_RUN_EVENT		(0x02)			/*¼*/
#define 	TMR2_RUN_GATE		(0x03)			/*ſ*/
/*----------------------------------------------------------------------------
 **Timer2 ģʽ
---------------------------------------------------------------------------*/	
#define 	TMR2_RELOAD_AUTO			(0x02)					/*Timer2Զģʽ*/
#define		TMR2_RELOAD_T2EX			(0x03)					/*Timer2T2EX½ģʽ*/
#define		TMR2_RELOAD_DISBALE			(0x00)					/*ֹ*/
/*----------------------------------------------------------------------------
 **Timer2 ʱӷƵ
---------------------------------------------------------------------------*/	
#define 	TMR2_CLK_DIV_12			(0x00)			/*ϵͳʱ12Ƶ*/
#define 	TMR2_CLK_DIV_24			(0x01)			/*ϵͳʱ24Ƶ*/
/*----------------------------------------------------------------------------
 **Timer2 Ƚ/ͨ
---------------------------------------------------------------------------*/	
#define 	TMR2_CC0				(0x00)			/*Timer2 Compare or Capture Channel 0 number*/
#define 	TMR2_CC1				(0x01)			/*Timer2 Compare or Capture Channel 1 number*/
#define 	TMR2_CC2				(0x02)			/*Timer2 Compare or Capture Channel 2 number*/
#define 	TMR2_CC3				(0x03)			/*Timer2 Compare or Capture Channel 3 number*/

/*----------------------------------------------------------------------------
 **Timer2 Ƚ
---------------------------------------------------------------------------*/	
#define     TMR2_MODE_COMPARE		(0x2)
	
#define		TMR2_CMP_MODE0			(0x00)						/*Timer2Ƚģʽ0*/
#define		TMR2_CMP_MODE1			(0x01)						/*Timer2Ƚģʽ1*/
/*----------------------------------------------------------------------------
 **Timer2 Ƚģʽͨ0жϲģʽ
---------------------------------------------------------------------------*/	
#define		TMR2_CMP_INT_MODE1		(0x01)						/*Ƚͨ0TL2/TH2RLDL/RLDHӲȵʱ̲ж*/	
#define		TMR2_CMP_INT_MODE0		(0x00)						/*Ƚͨ0TL2/TH2RLDL/RLDHȵʱ̲ж*/	

/*----------------------------------------------------------------------------
 **Timer2 
---------------------------------------------------------------------------*/	
/*----------------------------------------------------------------------------
 **Timer2 ʽ
---------------------------------------------------------------------------*/	
#define		TMR2_CAP_EDGE_FALLING	(0x00)						/*ͨ½ز*/
#define		TMR2_CAP_EDGE_RISING	(0x01)						/*ͨز*/
#define		TMR2_CAP_EDGE_BOTH		(0x03)						/*ͨ½ضɲ*/	

																												
/*****************************************************************************/
/* Global type definitions ('typedef') */
/*****************************************************************************/


/*****************************************************************************/
/* Global variable declarations ('extern', definition in C source) */
/*****************************************************************************/


/*****************************************************************************/
/* Global function prototypes ('extern', definition in C source) */
/*****************************************************************************/
/*****************************************************************************
 ** \brief	TMR_ConfigRunMode
 **			öʱģʽ
 ** \param [in] Timern			TMR0,TMR1,TMR3,TMR4
 **				TimerMode 	(1)TMR_MODE_TIMING	:ʱģʽ
 **							  (2)TMR_MODE_COUNT		:ģʽ
 **				TimerModeBranch	ģʽķ֧
 **								(1)TMR_TIM_13BIT 	:13λʱ/ģʽ
 **								(2)TMR_TIM_16BIT 	:16λʱ/ģʽ		
 **								(3)TMR_TIM_AUTO_8BIT :8λԶضʱ/ģʽ
 **								(4)TMR_TIM_TWO_INDEPENDENT_8BIT	:8λʱ/ģʽ
 ** \return  none
 ** \note    ˺֧TMR2 
 *****************************************************************************/
void TMR_ConfigRunMode(uint8_t Timern, uint8_t TimerMode, uint8_t TimerModeBranch);

/*****************************************************************************
 ** \brief	TMR_TMR0ConfigCountSource
 **			öʱ0Դ
 ** \param [in] Tmr0Source: (1)TMR0_CNT_EPWM0
 **						    (2)TMR0_CNT_T0
 ** \return  none
 ** \note  
 *****************************************************************************/
void TMR_TMR0ConfigCountSource(uint8_t Tmr0Source);

/*****************************************************************************
 ** \brief	TMR_ConfigTimerClk
 **			öʱʱ
 ** \param [in]  Timern			TMR0,TMR1,TMR3,TMR4
 **				TimerClkDiv	(1)TMR_CLK_DIV_4 
 **							  (2)TMR_CLK_DIV_12
 ** \note   
 *****************************************************************************/
void TMR_ConfigTimerClk(uint8_t Timern,uint8_t TimerClkDiv);
/***************************************************************************
 ** \brief	TMR_ConfigTimerPeriod
 **			öʱʱ
 ** \param [in] Timern			TMR0,TMR1,TMR3,TMR4
 **				TimerPeriodH:(1)TH0 (2)TH1 (3)TH3 (4)TH4
 **				TimerPeriodL:(1)TL0 (2)TL1 (3)TL3 (4)TL4
 ** \return  none
 ** \note   13λʱ THx[7:0],TLx[4:0]
*****************************************************************************/
void TMR_ConfigTimerPeriod(uint8_t Timern , uint8_t TimerPeriodHigh,uint8_t TimerPeriodLow);
/*****************************************************************************
 ** \brief	TMR_EnableGATE
 **			ʹܶʱſ
 ** \param [in] Timern		TMR0,TMR1
 ** \return  none
 ** \note   
 *****************************************************************************/
void TMR_EnableGATE(uint8_t Timern);
/*****************************************************************************
 ** \brief	TMR_DisableGATE
 **			رնʱſ
 ** \param [in] Timern		TMR0,TMR1
 ** \return  none
 ** \note   
 *****************************************************************************/
void TMR_DisableGATE(uint8_t Timern);

/*****************************************************************************
 ** \brief	TMR_GetCountValue
 **			ȡʱģʽļֵ
 ** \param [in] Timern		TMR0,TMR1
 ** \return  16bitsļֵ[THn:TLn]
 ** \note   ģʽ2/3: ʹ
 *****************************************************************************/
uint16_t TMR_GetCountValue(uint8_t Timern);

/*****************************************************************************
 ** \brief	TMR_EnableOverflowInt
 **			ʹܶʱж
 ** \param [in] Timern			TMR0,TMR1,TMR3,TMR4
 ** \return   none
 ** \note   
 *****************************************************************************/
void TMR_EnableOverflowInt(uint8_t TimerMask);

/*****************************************************************************
 ** \brief	TMR_DisableOverflowInt
 **			رնʱж
 ** \param [in] Timern			TMR0,TMR1,TMR3,TMR4
 ** \return   none
 ** \note   
 *****************************************************************************/
void TMR_DisableOverflowInt(uint8_t TimerMask);
/*****************************************************************************
 ** \brief	TMR_GetOverflowIntFlag
 **			ȡʱжϱ־
 ** \param [in] Timern			TMR0,TMR1,TMR3,TMR4
 ** \return   0жϣ 1ж
 ** \note   ʱ03ʹģʽ3ʱTLnжʹTMR03жϱ־
 **									   THnжʹTMR14жϱ־ 
 *****************************************************************************/
uint8_t TMR_GetOverflowIntFlag(uint8_t TimerNumber);
/*****************************************************************************
 ** \brief	TMR_ClearOverflowIntFlag
 **			ʱжϱ־
 ** \param [in] Timern			TMR0,TMR1,TMR3,TMR4
 ** \return   none
 ** \note   
 *****************************************************************************/
void TMR_ClearOverflowIntFlag(uint8_t TimerNumber);
/*****************************************************************************
 ** \brief	TMR_Start
 **			ʱ
 ** \param [in] Timern			TMR0,TMR1,TMR3,TMR4
 ** \return  none
 ** \note   
 *****************************************************************************/
void TMR_Start(uint8_t Timern);
/*****************************************************************************
 ** \brief	TMR_Stop
 **			رնʱ
 ** \param [in] Timern			TMR0,TMR1,TMR3,TMR4
 ** \return  none
 ** \note   
 *****************************************************************************/
void TMR_Stop(uint8_t Timern);


/*****************************************************************************
 ** \brief	TMR2_ConfigTimerClk
 **			Timer2ʱ
 ** \param [in]	ClkDiv:  (1)TMR2_CLK_DIV_12
 **						 (2)TMR2_CLK_DIV_24
 ** \return  none
 ** \note    
*****************************************************************************/
void TMR2_ConfigTimerClk( uint8_t ClkDiv);
/*****************************************************************************
 ** \brief	TMR2_ConfigDataRegister
 **			Timer2ݼĴ
 ** \param [in]	 TimerData
 ** \return  none
 ** \note    
*****************************************************************************/
void TMR2_ConfigDataRegister( uint16_t TimerData);
/*****************************************************************************
 ** \brief	TMR2_ConfigReLoadMode
 **			Timer2ģʽ
 ** \param [in]	   ReloadMode: (1)TMR2_RELOAD_AUTO
 **							   (2)TMR2_RELOAD_T2EX	
 **							   (3)TMR2_RELOAD_DISBALE	
 ** \return  none
 ** \note    
*****************************************************************************/
void TMR2_ConfigReLoadMode( uint8_t ReloadMode);
/*****************************************************************************
 ** \brief	TMR2_ConfigReLoadRegister
 **			Timer2ؼĴ
 ** \param [in]	   TimerData
 ** \return  none
 ** \note    
*****************************************************************************/
void TMR2_ConfigReLoadRegister( uint16_t TimerData);
/*****************************************************************************
 ** \brief	TMR2_Start
 **			ʱ2
 ** \param [in] RunMode(1)TMR2_RUN_SYSCLK
 **						 (2)TMR2_RUN_EVENT
 **						 (2)TMR2_RUN_GATE
 ** \return  none
 ** \note   
 *****************************************************************************/
void TMR2_Start(uint8_t RunMode);
/*****************************************************************************
 ** \brief	TMR2_Stop
 **			رնʱ2
 ** \param [in] none
 ** \return  none
 ** \note   
 *****************************************************************************/
void TMR2_Stop(void);
/*****************************************************************************
 ** \brief	TMR2_EnableTimingMode
 **			ʹܶʱģʽ
 ** \param [in]	none
 ** \return  none
 ** \note    
*****************************************************************************/
void TMR2_EnableTimingMode(void);
/*****************************************************************************
 ** \brief	TMR2_EnableCountMode
 **			ʹܼģʽģʽ
 ** \param [in]	none
 ** \return  none
 ** \note    
*****************************************************************************/
void TMR2_EnableCountMode(void);
/*****************************************************************************
 ** \brief	TMR2_ConfigCompareMode
 **			ñȽģʽģʽ
 ** \param [in]	ComapreMode: (1)TMR2_CMP_MODE0
 **							 (2)TMR2_CMP_MODE1
 ** \return  none
 ** \note    
*****************************************************************************/
void TMR2_ConfigCompareMode(uint8_t ComapreMode);
/*****************************************************************************
 ** \brief	TMR2_EnableCompare
 **			ʹܱȽͨ
 ** \param [in]	Timer2CCn: TMR2_CC0 ~ TMR2_CC3					    
 ** \return  none
 ** \note    
*****************************************************************************/
void TMR2_EnableCompare(uint8_t Timer2CCn);
/*****************************************************************************
 ** \brief	TMR2_DisableCompare
 **			رձȽģʽ
 ** \param [in]	Timer2CCMask:  TMR2_CC0 ~ TMR2_CC3
 ** \return  none
 ** \note   
 *****************************************************************************/
void TMR2_DisableCompare(uint8_t Timer2CCn);
/*****************************************************************************
 ** \brief	TMR2_ConfigCompareValue
 **			ñȽͨȽֵ
 ** \param [in]	Timer2CCMask:  TMR2_CC0 ~ TMR2_CC3
 **				CompareValue:  0x0 ~ 0xFFFF;
 ** \return  none
 ** \note   
 *****************************************************************************/
void TMR2_ConfigCompareValue(uint8_t Timer2CCn, uint16_t CompareValue);
/*****************************************************************************
 ** \brief	TMR2_ConfigCompareIntMode
 **			ñȽͨȽжģʽ
 ** \param [in]	Timer2CompareIntMode:	(1)TMR2_CMP_INT_MODE0   
 **										(2)TMR2_CMP_INT_MODE1	  
 ** \return  none
 ** \note   
 **						 
 *****************************************************************************/
void TMR2_ConfigCompareIntMode(uint8_t Timer2CompareIntMode);



/*****************************************************************************
 ** \brief	TMR2_EnableCaptureMode0
 **			ʹܲģʽ0
 ** \param [in]	Timer2CCn:  TMR2_CC0 ~ TMR2_CC3
 **				CaptureMode: (1)TMR2_CAP_EDGE_FALLING		ͨ½ز
 **							 (2)TMR2_CAP_EDGE_RISING		ͨز
 **							 (3)TMR2_CAP_EDGE_BOTH			ͨ½ضɲ	
 ** \return  none
 ** \note    
*****************************************************************************/
void TMR2_EnableCaptureMode0(uint8_t Timer2CCn, uint8_t CaptureMode);
/*****************************************************************************
 ** \brief	TMR2_DisableCaptureMode0
 **			رղģʽ0
 ** \param [in]	Timer2CCn:  TMR2_CC0 ~ TMR2_CC3
 ** \return  none
 ** \note   
*****************************************************************************/
void TMR2_DisableCaptureMode0(uint8_t Timer2CCn);
/*****************************************************************************
 ** \brief	TMR2_EnableCaptureMode1
 **			ʹܲģʽ1
 ** \param [in]	Timer2CCn:  TMR2_CC0 ~ TMR2_CC3	
 ** \return  none
 ** \note    
*****************************************************************************/
void TMR2_EnableCaptureMode1(uint8_t Timer2CCn);
/*****************************************************************************
 ** \brief	TMR2_DisableCaptureMode1
 **			رղģʽ1
 ** \param [in]	Timer2CCn:  TMR2_CC0 ~ TMR2_CC3
 ** \return  none
 ** \note   
*****************************************************************************/
void TMR2_DisableCaptureMode1(uint8_t Timer2CCn);
/*****************************************************************************
 ** \brief	TMR2_TiggerCaptureMode1
 **			ģʽ1
 ** \param [in]	Timer2CCn:  TMR2_CC0 ~ TMR2_CC3
 ** \return  none
 ** \note   
*****************************************************************************/
void TMR2_TiggerCaptureMode1(uint8_t Timer2CCn);
/*****************************************************************************
 ** \brief	TMR2_EnableCaptureMode2
 **			ʹܲģʽ2
 ** \param [in]	none
 ** \return  none
 ** \note    
*****************************************************************************/
void TMR2_EnableCaptureMode2(void);
/*****************************************************************************
 ** \brief	TMR2_DisableCaptureMode2
 **			رղģʽ2
 ** \param [in]	none
 ** \return  none
 ** \note   
*****************************************************************************/
void TMR2_DisableCaptureMode2(void);
/*****************************************************************************
 ** \brief	TMR2_ConfigCaptureMode2
 **			òģʽ2
 ** \param [in]	CaptureMode:  (1)TMR2_CAP_EDGE_FALLING
 **							  (2)TMR2_CAP_EDGE_RISING
 ** \return  none
 ** \note    
*****************************************************************************/
void TMR2_ConfigCaptureMode2(uint8_t CaptureMode);
/*****************************************************************************
 ** \brief	TMR2_StartCaptureMode2
 **			ģʽ2
 ** \param [in]	none
 ** \return  none
 ** \note    
*****************************************************************************/
void TMR2_StartCaptureMode2(void);
/*****************************************************************************
 ** \brief	TMR2_StopCaptureMode2
 **			ֹͣģʽ2
 ** \param [in]	none
 ** \return  none
 ** \note    
*****************************************************************************/
void TMR2_StopCaptureMode2(void);
/*****************************************************************************
 ** \brief	TMR2_EnableCaptureMode2TimerClean
 **			ģʽ2ʱ
 ** \param [in]	none
 ** \return  none
 ** \note    
*****************************************************************************/
void TMR2_EnableCaptureMode2TimerClean(void);
/*****************************************************************************
 ** \brief	TMR2_DisableCaptureMode2TimerClean
 **			رղģʽ2ʱ
 ** \param [in]	none
 ** \return  none
 ** \note    
*****************************************************************************/
void TMR2_DisableCaptureMode2TimerClean(void);
/*****************************************************************************
 ** \brief	TMR2_EnableCaptureMode2Lock
 **			ģʽ2湦
 ** \param [in]	none
 ** \return  none
 ** \note    
*****************************************************************************/
void TMR2_EnableCaptureMode2Lock(void);
/*****************************************************************************
 ** \brief	TMR2_DisableCaptureMode2Lock
 **			رղģʽ2湦
 ** \param [in]	none
 ** \return  none
 ** \note    
*****************************************************************************/
void TMR2_DisableCaptureMode2Lock(void);
/*****************************************************************************
 ** \brief	TMR2_GetCaptureMode2TimerOverflowFlag
 **			ȡڼ䶨ʱ־
 ** \param [in]	none
 ** \return  0 1
 ** \note    
*****************************************************************************/
uint8_t TMR2_GetCaptureMode2TimerOverflowFlag(void);

/*****************************************************************************
 ** \brief	TMR2_GetCaptureValue
 **			ȡֵ
 ** \param [in]	Timer2CCn:  TMR2_CC0 ~ TMR2_CC3			
 ** \return  16bit value
 ** \note   
 *****************************************************************************/
uint16_t TMR2_GetCaptureValue(uint8_t Timer2CCn);

/*****************************************************************************
 ** \brief	TMR2_EnableOverflowInt
 **			ʹܶʱ2ж
 ** \param [in] none
 ** \return   none
 ** \note   
 *****************************************************************************/
void TMR2_EnableOverflowInt(void);
/*****************************************************************************
 ** \brief	TMR2_DisableOverflowInt
 **			رնʱ2ж
 ** \param [in] none
 ** \return   none
 ** \note   
 *****************************************************************************/
void TMR2_DisableOverflowInt(void);
/*****************************************************************************
 ** \brief	TMR_GetOverflowIntFlag
 **			ȡʱ2жϱ־
 ** \param [in] none
 ** \return   0жϣ 1ж
 ** \note   
 *****************************************************************************/
uint8_t TMR2_GetOverflowIntFlag(void);
/*****************************************************************************
 ** \brief	TMR2_ClearOverflowIntFlag
 **			ʱ2жϱ־
 ** \param [in] none
 ** \return   none
 ** \note   
 *****************************************************************************/
void TMR2_ClearOverflowIntFlag(void);

/*****************************************************************************
 ** \brief	TMR2_EnableT2EXInt
 **			ʹܶʱ2ⲿT2EXж
 ** \param [in] none
 ** \return   none
 ** \note   
 *****************************************************************************/
void TMR2_EnableT2EXInt(void);

/*****************************************************************************
 ** \brief	TMR2_DisableT2EXInt
 **			رնʱ2ⲿT2EXж
 ** \param [in] none
 ** \return   none
 ** \note   
 *****************************************************************************/
void TMR2_DisableT2EXInt(void);
/*****************************************************************************
 ** \brief	TMR_GetT2EXIntFlag
 **			ȡʱ2ⲿT2EXжϱ־
 ** \param [in] none
 ** \return   0жϣ 1ж
 ** \note   
 *****************************************************************************/
uint8_t TMR2_GetT2EXIntFlag(void);
/*****************************************************************************
 ** \brief	TMR2_ClearT2EXIntFlag
 **			ʱ2ⲿT2EXжϱ־
 ** \param [in] none
 ** \return   none
 ** \note   
 *****************************************************************************/
void TMR2_ClearT2EXIntFlag(void);

/*****************************************************************************
 ** \brief	TMR2_EnableCompareInt
 **			ʹܶʱ2ͨȽж
 ** \param [in]Timer2CCn:  TMR2_CC0 ~ TMR2_CC3
 ** \return   none
 ** \note   
 *****************************************************************************/
void TMR2_EnableCompareInt(uint8_t Timer2CCn);

/*****************************************************************************
 ** \brief	TMR2_DisableCompareInt
 **			رնʱ2ͨȽж
 ** \param [in] Timer2CCn:  TMR2_CC0 ~ TMR2_CC3
 ** \return   none
 ** \note   
 *****************************************************************************/
void TMR2_DisableCompareInt(uint8_t Timer2CCn);
/*****************************************************************************
 ** \brief	TMR2_GetCompareIntFlag
 **			ȡʱ2ͨȽжϱ־
 ** \param [in]Timer2CCn:  TMR2_CC0 ~ TMR2_CC3
 ** \return   0жϣ 1ж
 ** \note   
 *****************************************************************************/
uint8_t TMR2_GetCompareIntFlag(uint8_t Timer2CCn);
/*****************************************************************************
 ** \brief	TMR2_ClearCompareIntFlag
 **			ʱ2ͨȽжϱ־
 ** \param [in]Timer2CCn:  TMR2_CC0 ~ TMR2_CC3
 ** \return   none
 ** \note   
 *****************************************************************************/
void TMR2_ClearCompareIntFlag(uint8_t Timer2CCn);

/*****************************************************************************
 ** \brief	TMR2_EnableCaptureInt
 **			ʹܶʱ2ͨж
 ** \param [in]Timer2CCn:  TMR2_CC0 ~ TMR2_CC3
 ** \return   none
 ** \note   
 *****************************************************************************/
void TMR2_EnableCaptureInt(uint8_t Timer2CCn);
/*****************************************************************************
 ** \brief	TMR2_DisableCaptureInt
 **			رնʱ2ͨж
 ** \param [in]Timer2CCn:  TMR2_CC0 ~ TMR2_CC3
 ** \return   none
 ** \note   
 *****************************************************************************/
void TMR2_DisableCaptureInt(uint8_t Timer2CCn);
/*****************************************************************************
 ** \brief	TMR2_GetCaptureIntFlag
 **			ȡʱ2ͨжϱ־
 ** \param [in]Timer2CCn:  TMR2_CC0 ~ TMR2_CC3
 ** \return   0жϣ 1ж
 ** \note   
 *****************************************************************************/
uint8_t TMR2_GetCaptureIntFlag(uint8_t Timer2CCn);
/*****************************************************************************
 ** \brief	TMR2_ClearCaptureIntFlag
 **			ʱ2ͨжϱ־
 ** \param [in]Timer2CCn:  TMR2_CC0 ~ TMR2_CC3
 ** \return   none
 ** \note   
 *****************************************************************************/
void TMR2_ClearCaptureIntFlag(uint8_t Timer2CCn);


/*****************************************************************************
 ** \brief	TMR2_AllIntEnable
 **			ʱ2жϿ
 ** \param [in] none
 ** \return   none
 ** \note   
 *****************************************************************************/
void TMR2_AllIntEnable(void);

/*****************************************************************************
 ** \brief	TMR2_AllIntDisable
 **			ʱ2жϹر
 ** \param [in] none
 ** \return   none
 ** \note   
 *****************************************************************************/
void TMR2_AllIntDisable(void);


#endif /* __TIMER_H__ */






