/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/****************************************************************************/
/** \file demo_timer.c
**
**  
**
**	History:
**	
*****************************************************************************/
/****************************************************************************/
/*	include files
*****************************************************************************/
#include "demo_timer.h"

/****************************************************************************/
/*	Local pre-processor symbols('#define')
****************************************************************************/

/****************************************************************************/
/*	Global variable definitions(declared in header file with 'extern')
****************************************************************************/

/****************************************************************************/
/*	Local type definitions('typedef')
****************************************************************************/

/****************************************************************************/
/*	Local variable  definitions('static')
****************************************************************************/

/****************************************************************************/
/*	Local function prototypes('static')
****************************************************************************/

/****************************************************************************/
/*	Function implementation - global ('extern') and local('static')
****************************************************************************/
/******************************************************************************
** \brief	 TMR2_Config
** \param [in] 
**            	
** \return  none
** \note  
******************************************************************************/
void TMR2_Config(void)
{
	/*
	(1)设置时钟
	*/	
	TMR2_ConfigTimerClk(TMR2_CLK_DIV_12);		
	/*
	(2)重载模式
	*/	
	TMR2_ConfigReLoadMode(TMR2_RELOAD_DISBALE);		//禁止重载
	/*
	(3)设置运行模式
	*/		 	
	TMR2_EnableCaptureMode2();
	TMR2_ConfigCaptureMode2(TMR2_CAP_EDGE_RISING);
	
	TMR2_EnableCaptureMode2TimerClean();		

	
	GPIO_SET_MUX_MODE(P27CFG, GPIO_MUX_GPIO);
	GPIO_ENABLE_INPUT(P2TRIS, GPIO_PIN_7);
	GPIO_ENABLE_RD(P2RD, GPIO_PIN_7);					/*开下拉*/	
	GPIO_SET_PS_MODE(PS_CAP1, GPIO_P27_MUX_CAP1);		/*捕获通道1输入*/

	/*
	(4)开启中断
	*/
	TMR2_EnableCaptureInt(TMR2_CC1);	
	/*
	(5)设置Timer中断优先级
	*/	
	IRQ_SET_PRIORITY(IRQ_TMR2,IRQ_PRIORITY_LOW);
	
	TMR2_AllIntEnable();
	IRQ_ALL_ENABLE();
	/*
	(6)开启Timer
	*/
	TMR2_Start(TMR2_RUN_SYSCLK);
	TMR2_StartCaptureMode2();	
}




























