/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/****************************************************************************/
/** \file isr.c
**
** 
**
**	History:
**		
*****************************************************************************/
/****************************************************************************/
/*	include files
*****************************************************************************/
#include "cms80f262xx.h"

/****************************************************************************/
/*	Local pre-processor symbols('#define')
****************************************************************************/

/****************************************************************************/
/*	Global variable definitions(declared in header file with 'extern')
****************************************************************************/
extern uint16_t Timer0;
extern uint16_t Timer1;

extern uint32_t Period;
extern float Duty;


/****************************************************************************/
/*	Local type definitions('typedef')
****************************************************************************/

/****************************************************************************/
/*	Local variable  definitions('static')
****************************************************************************/


/****************************************************************************/
/*	Local function prototypes('static')
****************************************************************************/


/****************************************************************************/
/*	Function implementation - global ('extern') and local('static')
****************************************************************************/

/******************************************************************************
 ** \brief	 Timer 2 interrupt service function
 **
 ** \param [in]  none   
 **
 ** \return none
******************************************************************************/
void Timer2_IRQHandler(void)  interrupt TMR2_VECTOR 
{
	uint16_t temp0,temp1,temp2;
	
	if(TMR2_GetCaptureIntFlag(TMR2_CC1))
	{	
		P33 = ~P33;
		//ȡֵ
		if(TMR2_GetCaptureMode2TimerOverflowFlag())		//м
		{	
			;		
		}
		else
		{
			TMR2_EnableCaptureMode2Lock();			//
			
			temp0 = TMR2_GetCaptureValue(TMR2_CC1);
			temp1 = TMR2_GetCaptureValue(TMR2_CC2);			
			temp2 = TMR2_GetCaptureValue(TMR2_CC3);			
						
			Timer0 =  temp1- temp0;
			Timer1 =  temp2- temp1;

			Period = (uint32_t)(Timer0+Timer1) * 500;	//ns
		
			Duty  =  (float)Timer0 /(float)(Timer1+Timer0) *100;
			
			TMR2_DisableCaptureMode2Lock();			//					
		}
		TMR2_ClearCaptureIntFlag(TMR2_CC1);
	}	

}








