/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/****************************************************************************/
/** \file demo_uart.c
**
**  
**
**	History:
**	
*****************************************************************************/
/****************************************************************************/
/*	include files
*****************************************************************************/
#include "demo_uart.h"

/****************************************************************************/
/*	Local pre-processor symbols('#define')
****************************************************************************/

/****************************************************************************/
/*	Global variable definitions(declared in header file with 'extern')
****************************************************************************/

/****************************************************************************/
/*	Local type definitions('typedef')
****************************************************************************/

/****************************************************************************/
/*	Local variable  definitions('static')
****************************************************************************/

/****************************************************************************/
/*	Local function prototypes('static')
****************************************************************************/

/****************************************************************************/
/*	Function implementation - global ('extern') and local('static')
****************************************************************************/
/******************************************************************************
 ** \brief	 UART2_Config
 ** \param [in] 
 **            	
 ** \return  none
 ** \note  
 ******************************************************************************/
void UART2_Config(void)
{
	 uint16_t  BRTValue = 0;
	 uint32_t  BaudRateVlue = 9600;
	 
	 /*
	 (1)UARTxģʽ
	 */
	 UART_ConfigRunMode(UART2,UART_MOD_ASY_8BIT, UART_BAUD_BRT);
	 UART_EnableReceive(UART2);
	 /*
	 (2)UARTxĲ
	 */
	 UART_ConfigBRTClk(BRT,BRT_CLK_DIV_1);	
	
	 UART_EnableDoubleFrequency(UART2); 							/*ʹܱƵSMOD =1*/
 		 
	 BRTValue = 65380; 				//ʹֲƼļֵ(BRT½),Ӧϵͳʱӣ24MHz
 
	 UART_ConfigBRTPeriod(BRT,BRTValue);							/*װֵ*/
	 UART_EnableBRT(BRT);										/*ʹܶʱ*/
	 /*
	 (3)IO
	 */ 
	 GPIO_SET_MUX_MODE(P05CFG,GPIO_P05_MUX_TXD2);			/*TXD2*/
	 GPIO_SET_MUX_MODE(P06CFG,GPIO_P06_MUX_RXD2);	 		/*RXD2*/

}

/******************************************************************************
 ** \brief	 putchar
 ** \param [in] data
 **            	
 ** \return  none
 ** \return  <stdio.h>Ҫĺ
 ******************************************************************************/
char putchar (char ch)
{
	SFRS = 0x1;		/*ѡBANK1*/	
	SBUF2 = ch;
	while( !(SCON2 & (1<<1)));
	SCON2 &=~(1<<1);
	SFRS = 0x0;		/*ѡBANK0*/	
	return 0;
}

/******************************************************************************
 ** \brief	 putchar
 ** \param [in] none
 **            	
 ** \return  data
 ** \return  <stdio.h>Ҫĺ
 ******************************************************************************/
char getchar (void)
{
	char  Sbuffer;
	SFRS = 0x1;		/*ѡBANK1*/	
	while(!(SCON2 & (1<<0)));
	SCON2 &=~(1<<0);
	Sbuffer = SBUF2;
	SFRS = 0x0;		/*ѡBANK0*/	
	return  Sbuffer;	
}
/********************************************************************************
 ** \brief	 puts 
 **
 ** \param [in]  bytes addr for sending
 **
 ** \return  <stdio.h>Ҫĺ
 ******************************************************************************/
int  puts( const char  * s)
{
	while(*s)
	{
		putchar(*s);
		s++;
	}
	return 0;
}





