/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/*****************************************************************************/
/** \file lcd.h
**
** 
**
** History:
** 
*****************************************************************************/
#ifndef __LCD_H__
#define __LCD_H__
/*****************************************************************************/
/* Include files */
/*****************************************************************************/
#include "cms80f262xx.h"
/*****************************************************************************/
/* Global pre-processor symbols/macros ('#define') */
/*****************************************************************************/
/*----------------------------------------------------------------------------
 **LCDģʽ
 ---------------------------------------------------------------------------*/
#define 	LCD_DISPLAY_NORMAL		(0x03<<LCD_LCDCON0_DM_Pos)		/*LCD */
#define		LCD_SEG_ALL_ON			(0x01<<LCD_LCDCON0_DM_Pos)		/*LCD SEGȫ*/
#define		LCD_SEG_ALL_OFF			(0x00)		/*LCD SEGȫ*/
/*----------------------------------------------------------------------------
 **LCD ռձ
 ---------------------------------------------------------------------------*/
#define 	LCD_DUTY_4			(0x03)		/*LCD 1/4 DUTY*/			
#define		LCD_DUTY_5			(0x02)		/*LCD 1/5 DUTY*/
#define		LCD_DUTY_6			(0x01)		/*LCD 1/6 DUTY*/
#define		LCD_DUTY_8			(0x00)		/*LCD 1/8 DUTY*/
/*----------------------------------------------------------------------------
 **LCD COMѡ
 ---------------------------------------------------------------------------*/
#define 	LCD_COMMODE_0		(0x00)		/*LCD COMӵ͵(COM0-COM7)*/		
#define 	LCD_COMMODE_1		(0x01<<LCD_LCDCON0_MOD_Pos)		/*LCD COMӸߵ(COM7-COM0)*/	

#define 	LCD_COMSEL_0		(0x00)		/*MODE0ʱѡ COM0-COM3 / SEG0-SEG35 ; MODE1ʱѡ COM7-COM4 / SEG39-36SEG0-SEG31*/		
#define 	LCD_COMSEL_1		(0x01<<LCD_LCDCON0_SEL_Pos)		/*MODE0ʱѡ COM4-COM7 / SEG0-SEG31SEG39-36 ; MODE1ʱѡ COM3-COM0 / SEG0-SEG35*/		

/*----------------------------------------------------------------------------
 **LCD ѹ
 ---------------------------------------------------------------------------*/
#define 	LCD_VSEL_VDD		(0x00)		/*LCD ѹѡ VDD*/		
#define 	LCD_VSEL_VLCD		(0x01<<LCD_LCDCON1_TEN_Pos)		/*LCD ѹѡ VLCD*/	
/*----------------------------------------------------------------------------
 **LCD BIAS
 ---------------------------------------------------------------------------*/
#define 	LCD_BIAS_2			(0x00)		/*LCD BIAS 1/2*/	
#define 	LCD_BIAS_3			(0x01<<LCD_LCDCON1_BIAS_Pos)	/*LCD BIAS 1/3*/
#define 	LCD_BIAS_4			(0x02<<LCD_LCDCON1_BIAS_Pos)	/*LCD BIAS 1/4*/
/*----------------------------------------------------------------------------
 **LCD ģʽ
 ---------------------------------------------------------------------------*/
#define 	LCD_R_60K			(0x00)				/*LCDѹѡ60K*/
#define 	LCD_R_225K			(0x01<<LCD_LCDCON3_RM_Pos)	/*LCDѹѡ225K*/	
#define 	LCD_R_900K			(0x03<<LCD_LCDCON3_RM_Pos)	/*LCDѹѡ900K*/

#define 	LCD_FCMODE_0		(0x00)			/*LCDͳģʽ*/
#define 	LCD_FCMODE_1		(0x01<<LCD_LCDCON3_FCMODE_Pos) /*LCDٳģʽ*/

#define 	LCD_FCCTL_8			(0x00)			/*LCDʱ1/8 COM*/	
#define 	LCD_FCCTL_16		(0x01)			/*LCDʱ1/16 COM*/	
#define 	LCD_FCCTL_32		(0x02)			/*LCDʱ1/32 COM*/				
#define 	LCD_FCCTL_64		(0x03)			/*LCDʱ1/64 COM*/	


/*----------------------------------------------------------------------------
 **LCD ʱԴѡ
 ---------------------------------------------------------------------------*/
#define 	LCD_CLK_LSI			(0x03<<LCD_LCDCON2_SEL_Pos)		/*LCDʱѡLSI*/
#define 	LCD_CLK_LSE			(0x01<<LCD_LCDCON2_SEL_Pos)		/*LCDʱѡLSE*/
#define 	LCD_CLK_FSYS		(0x00)				/*LCDʱѡFsys*/
/*----------------------------------------------------------------------------
 **LCD ʱԴƵ
 ---------------------------------------------------------------------------*/
#define 	LCD_CLKDIV_64			(0x00)		
#define 	LCD_CLKDIV_128			(0x01)
#define 	LCD_CLKDIV_256			(0x02)
#define 	LCD_CLKDIV_512			(0x03)
#define 	LCD_CLKDIV_1024			(0x04)
#define 	LCD_CLKDIV_2048			(0x05)
#define 	LCD_CLKDIV_4096			(0x06)
#define 	LCD_CLKDIV_8192			(0x07)
#define 	LCD_CLKDIV_16384		(0x08)
#define 	LCD_CLKDIV_32768		(0x09)
#define 	LCD_CLKDIV_65536		(0x0F)

/*----------------------------------------------------------------------------
 **LCD ջѡ
 ---------------------------------------------------------------------------*/
 #define 	LCD_BUFRing_CLose			(0x00 << LCD_LCDCON4_BUF_Pos)	
#define 	LCD_BUFRing_Open			(0x01 << LCD_LCDCON4_BUF_Pos)	

/*----------------------------------------------------------------------------
 **LCDģʽѡ
 ---------------------------------------------------------------------------*/
 #define 	LCD_Mode_LowPower			(0x00)	
#define 	LCD_Mode_Buffer			  (0x01)	

/*----------------------------------------------------------------------------
 **LCD LSIʹѡ
 ---------------------------------------------------------------------------*/
 #define 	LCD_LSI_Disable			  (0x00 << LCD_LCDCON2_LSIEN_Pos)	
#define 	LCD_LSI_Enable			  (0x01 << LCD_LCDCON2_LSIEN_Pos)	


/*****************************************************************************/
/* Global type definitions ('typedef') */
/*****************************************************************************/



/*****************************************************************************/
/* Global variable declarations ('extern', definition in C source) */
/*****************************************************************************/


/*****************************************************************************/
/* Global function prototypes ('extern', definition in C source) */
/*****************************************************************************/
/*****************************************************************************
 ** \brief	 LCD_ConfigRunMode
 **			 LCDģʽ
 ** \param [in] DispalyMode: (1) LCD_DISPLAY_NORMAL
 **						(2) LCD_SEG_ALL_ON
 **						(3)	LCD_SEG_ALL_OFF		
 ** \return  none
 ** \note   
******************************************************************************/
void LCD_ConfigRunMode(uint8_t DispalyMode);

/*****************************************************************************
 ** \brief	 LCD_ConfigCOMMode
 **			 LCD COMģʽ
 ** \param [in] Mode:   (1) LCD_COMMODE_0
 **						(2) LCD_COMMODE_1
 **				ComSel: (1) LCD_COMSEL_0
 **						(2) LCD_COMSEL_1
 **				Duty  (1) LCD_DUTY_4
 **						(2) LCD_DUTY_5
 **						(3) LCD_DUTY_6
 **						(4) LCD_DUTY_8
 ** \return  none
 ** \note   
******************************************************************************/
void LCD_ConfigCOMMode(uint8_t Mode, uint8_t ComSel, uint8_t Duty);

/*****************************************************************************
 ** \brief	 LCD_ConfigVLCD
 **			 LCD ѹģʽ
 ** \param [in] VDDSel: (1) LCD_VSEL_VDD
 **						(2) LCD_VSEL_VLCD
 **				LCDtvs:  0x00~0xf     ;VLCD=15 + LCDtvs *VDD/30 
 **				Bias :  (1) LCD_BIAS_2
 **						(2) LCD_BIAS_3
 **						(3) LCD_BIAS_4
 ** \return  none
 ** \note   
******************************************************************************/
void LCD_ConfigVLCD(uint8_t VDDSel, uint8_t LCDtvs , uint8_t Bias);

/*****************************************************************************
 ** \brief	 LCD_ConfigClk
 **			 LCD ʱ
 ** \param [in] CLSSel: (1) LCD_CLK_LSI
 **						(2) LCD_CLK_LSE
 **						(3) LCD_CLK_FSYS 
 **				ClkDiv:  LCD_CLKDIV_64 ~ LCD_CLKDIV_65536 
 ** \return  none
 ** \note   
******************************************************************************/
void LCD_ConfigClk(uint8_t CLSSel, uint8_t ClkDiv);

/*****************************************************************************
 ** \brief	 LCD_ConfigResistance
 **			 LCD ѹ
 ** \param [in] Rmode: (1) LCD_FCMODE_0
 **					   (2) LCD_FCMODE_1
 **				Rsel:  (1)LCD_R_60K
 **					   (2)LCD_R_225K
 **					   (3)LCD_R_900K
 **				Rclk: (1)LCD_FCCTL_8		LCDʱ1/8 COM	
 **					  (2)LCD_FCCTL_16		LCDʱ1/16 COM	
 **					  (3)LCD_FCCTL_32		LCDʱ1/32 COM	
 **					  (4)LCD_FCCTL_64		LCDʱ1/64 COM	
 ** \return  none
 ** \note   
******************************************************************************/
void LCD_ConfigResistance(uint8_t Rmode, uint8_t Rsel, uint8_t Rclk);


/*****************************************************************************
 ** \brief	 LCD_Start
 **			 ʹLCD
 ** \param [in] none
 ** \return  none
 ** \note   
******************************************************************************/
void LCD_Start(void);
/*****************************************************************************
 ** \brief	 LCD_Stop
 **			 رLCD
 ** \param [in] none
 ** \return  none
 ** \note   
******************************************************************************/
void LCD_Stop(void);

/*****************************************************************************
 ** \brief	 LCD_Stop
 **			 رLCD
 ** \param [in] CurrentDat:100uA - 3mA
 *                   000:100uA
 *                     ......
 *                   111:3mA
 ** \return  none
 ** \note   
******************************************************************************/
void LCD_DriveCurrent(uint8_t CurrentDat);

/*****************************************************************************
 ** \brief	 LCD_BufferOut
 **			     LCDջ/BUFFER
 ** \param [in] BufStat:ջBUFFER
 *                   LCD_BUFRing_CLose:ջBUFFER
 *                   LCD_BUFRing_Open:BUFF
 ** \return  none
 ** \note   
******************************************************************************/
void LCD_BufferOut(uint8_t BufStat);

/*****************************************************************************
 ** \brief	 LCD_OutMode
 **			     LCDģʽѡ
 ** \param [in] BufStat:ģʽ
 *                   LCD_Mode_LowPower:͹
 *                   LCD_Mode_Buffer:Buffer
 ** \return  none
 ** \note   
******************************************************************************/
void LCD_OutMode(uint8_t ModStat);

/*****************************************************************************
 ** \brief	 LCD_LSI_Control
 **			   LCDʹͬʱʹLSI
 ** \param [in] LCDLsi: 
 **						     LCD_LSI_Disable LCDʹʱLSIᱻʹ
 **						     LCD_LSI_EnableLCDʹʱͬʱʹLSI
 ** \return  none
 ** \note   
******************************************************************************/
void LCD_LSI_Control(uint8_t LCDLsi);

#endif /* __LCD_H__ */

